# Release notes

## En cours

#### Gestion des demandes

- une demande est rattachée à une juridiction plutôt qu'à un magistrat

#### Utilisateurs

- récupération et affichage de l'adresse des experts
- ajout de la notion de service pour les utilisateurs justice
- amélioration des messages d'erreur lors de l'activation infructueuse d'un expert
- les utilisateurs justice peuvent mettre à jour leur cours d'appel / juridiction / service

#### Administration

- affichage du nombre de demandes créées pour chaque utilisateur justice
- possibilité de filtrer la liste des demandes par utilisateur justice
- logging de l'activité de chaque utilisateur + graphique correspondant dans les stats
- statistiques paramétrables
- possibilité d'ajouter et de distinguer un expert non-inscrit auprès d'une cour d'appel

#### FIX

- correction des liens (formatage ID) vers les demandes dans les templates d'emails
- acceptation de noms de domaine avec une extension plus longue (standard IDN)

## Comité d'investissement #3

### Date : 25 juin 2024

### Tag : comite-3-2024-06-25

#### Gestion des demandes

- ajout dans les demandes d'une date de délibération (optionnelle, avec rappel 7 jours avant
  l'échéance et annulation automatique si date dépassée)
- ajout dans les e-mails d'un lien direct vers la demande concernée
- duplication d'une demande refusée ou annulée
- mise à jour des greffiers rattachés à une demande
- système de notes internes partagées par le magistrat et les greffiers impliqués dans une demande
- système de questions / réponses entre les experts et les magistrats et greffiers

#### Utilisateurs

- transition vers la nouvelle nomenclature des rubriques et spécialités expertales
- les magistrats et greffiers peuvent choisir entre deux niveaux de notifications par e-mail :
  toutes ou importantes
- format de mot de passe plus robuste
- affichage pour les experts des spécialités enregistrées auprès de la cour de cassation

#### Administration

- amélioration de la page des comptes justice
- amélioration des filtres de la liste des demandes
- les administrateurs ne peuvent plus consulter les pièces jointes
- possibilité de modifier le nom des experts

## Comité d'investissement #2

### Date : 18 janvier 2024

### Tag : comite-2-2024-01-18

#### Gestion des utilisateurs

- Auto-inscription pour les magistrats et les greffiers à partir de leur adresse @justice et ajout
  de l’appartenance à une
  juridiction
- Amélioration du processus d’activation des comptes (experts) d’inscription (magistrats et
  greffiers) et de récupération
  /changement de mot de passe
- E-mail de rappel d’indisponibilité de l’expert à 7 et 14 jours, puis tous les mois
- Ajout de la notion de zone géographique d'intervention et possibilité de refuser une demande pour
  raison géographique (si
  zone géographique d'intervention préalablement renseignée)

#### Création et gestion des demandes

- Amélioration du processus de sélection (filtre par défaut/recherche multi-cours d’appel ;
  recherche facilitée des rubriques)
- Amélioration du formulaire (pièces jointes multiples ; éléments obligatoires et messages d’erreurs
  améliorés si données
  manquantes/erronées ; confirmation du caractère urgent de la demande)
- Ajout d’une étape post-acceptation par un expert : ajout de la décision

#### Administration

- Ajout manuel d’experts au cas par cas (honoraires ou futurs inscrits)
- Page de statistiques
- Archivage des demandes (suppression des pièces jointes pour respecter le RGPD)

## Comité d'investissement #1

### Date : 28 juin 2023

### Tag : comite-1-2023-06-28

- authentification et droits pour les différents types d'utilisateur (magistrat, greffier, expert,
  admin)
- import des listes d'experts des cours d'appel
- affichage paginé de la liste des experts + fiches expert (justice)
- filtres pour la recherche d'experts : cours d'appel, rubriques de la nomenclature, nom de l'expert
- formulaire de création d'une nouvelle demande : sélection d'experts, saise des informations,
  confirmation
- affichage de la liste des demandes (justice)
- activation de compte expert
- affichage de la liste des demandes (expert)
- acceptation d'une demande par un expert
- refus d'une demande par un expert avec raison du refus
- mise à jour de la disponibilité d'un expert
- envoi d'emails aux différents acteurs d'une demande pour chaque action effectuée
- refus automatique d'une demande lorsque le délai de réponse est dépassé
- ajout d'une pièce jointe à une demande
- activation de compte justice
- rattachement d'un greffier à une demande créée par un magistrat
- un greffier peut créer une demande au nom d'un magistrat
- affichage de la liste des demandes (admin)
- affichage paginé de la liste des experts + fiches expert avec détails internes (justice)
- page de statistiques admin
- fonctionnalité "mot de passe oublié"
- mise à jour des informations d'une demande
- ajout d'experts à une demande