package fr.gouv.beta.selexpert;

import jakarta.annotation.PostConstruct;
import java.time.ZoneOffset;
import java.util.TimeZone;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.data.envers.repository.support.EnversRevisionRepositoryFactoryBean;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.security.config.annotation.method.configuration.EnableMethodSecurity;

@SpringBootApplication
@EnableAsync
@EnableScheduling
@EnableMethodSecurity
@EnableJpaRepositories(repositoryFactoryBeanClass = EnversRevisionRepositoryFactoryBean.class)
@EnableCaching
public class SelexpertApplication {

  public static void main(String[] args) {
    SpringApplication.run(SelexpertApplication.class, args);
  }

  @PostConstruct
  void postConstruct() {
    TimeZone.setDefault(TimeZone.getTimeZone(ZoneOffset.UTC));
  }
}
