package fr.gouv.beta.selexpert.dto;

import fr.gouv.beta.selexpert.model.FileType;
import jakarta.validation.constraints.AssertTrue;
import jakarta.validation.constraints.NotNull;
import java.util.Objects;
import lombok.AllArgsConstructor;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

@Data
@AllArgsConstructor
public class AddFile {
  @NotNull private Integer requestId;
  @NotNull private FileType type;
  private String description;

  @AssertTrue
  private boolean isDescriptionValid() {
    return switch (type) {
      case ATTACHMENT -> StringUtils.isNotBlank(description);
      case DECISION -> Objects.isNull(description);
    };
  }
}
