package fr.gouv.beta.selexpert.dto;

import fr.gouv.beta.selexpert.model.UserClerk;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class ClerkDto {
  private String name;
  private String email;
  private String phoneMobile;
  private String phoneLandline;
  private Integer id;

  public static ClerkDto from(UserClerk clerk, boolean withId) {
    return ClerkDto.builder()
        .name(clerk.getName())
        .email(clerk.getEmail())
        .phoneMobile(clerk.getPhoneMobile())
        .phoneLandline(clerk.getPhoneLandline())
        .id(withId ? clerk.getId() : null)
        .build();
  }
}
