package fr.gouv.beta.selexpert.dto;

import fr.gouv.beta.selexpert.model.Role;
import jakarta.validation.constraints.AssertTrue;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;
import lombok.Data;

@Data
public class CourtRegistrationForm {

  @NotBlank
  @Pattern(regexp = "[a-z0-9._%+\\-]+@[a-z0-9.\\-àèé]+\\.[a-z]{2,12}")
  private String email;

  @NotBlank private String firstName;

  @NotBlank private String lastName;

  @NotNull private CourtUserServiceUpdate service;

  @NotNull private Integer jurisdictionId;

  @NotNull private Role role;

  @Pattern(regexp = "\\d{10}")
  private String phoneLandline;

  @Pattern(regexp = "\\d{10}")
  private String phoneMobile;

  @AssertTrue
  private boolean isCourt() {
    return role.isCourt();
  }

  @AssertTrue
  private boolean isJusticeEmail() {
    return email.endsWith("@justice.fr");
  }
}
