package fr.gouv.beta.selexpert.dto;

import fr.gouv.beta.selexpert.model.CourtService;
import fr.gouv.beta.selexpert.model.CourtUserCourtService;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@AllArgsConstructor
public class CourtUserServiceDto {

  private Integer id;
  private List<String> path;

  public static CourtUserServiceDto from(CourtUserCourtService service) {
    if (Objects.isNull(service)) return null;
    List<String> path = new ArrayList<>();
    addServiceName(service.getCourtService(), path);
    if (service.getCourtService().isFreeInput()) path.add(service.getOther());
    return CourtUserServiceDto.builder().id(service.getCourtService().getId()).path(path).build();
  }

  private static void addServiceName(CourtService service, List<String> chunks) {
    if (Objects.nonNull(service.getParent())) addServiceName(service.getParent(), chunks);
    chunks.add(service.getName());
  }
}
