package fr.gouv.beta.selexpert.dto;

import jakarta.validation.constraints.AssertTrue;
import jakarta.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Objects;
import lombok.Data;

@Data
public class DeliberationDateUpdate {

  @NotNull private Integer requestId;

  private LocalDate deliberationDate;

  @AssertTrue
  private boolean isDeliberationDateFromTomorrow() {
    var now = LocalDate.now(ZoneId.of("Europe/Paris"));
    return Objects.isNull(deliberationDate) || deliberationDate.isAfter(now);
  }
}
