package fr.gouv.beta.selexpert.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;
import java.util.List;
import lombok.Data;

@Data
public class ExpertCreationForm {

  @NotBlank
  @Pattern(regexp = "[a-z0-9._%+\\-]+@[a-z0-9.\\-àèé]+\\.[a-z]{2,12}")
  private String email;

  @NotBlank
  @Pattern(regexp = "Madame|Monsieur|Entreprise")
  private String title;

  @NotNull private String firstName;

  @NotBlank private String lastName;

  @NotNull private Integer courtId;

  @Pattern(regexp = "\\d{5}")
  private String zipCode;

  private String city;

  private String address;

  @Pattern(regexp = "\\d{10}")
  private String phoneLandline;

  @Pattern(regexp = "\\d{10}")
  private String phoneMobile;

  private boolean honorary;

  private boolean notRegistered;

  private boolean sendActivationEmail;

  @NotEmpty private List<Integer> expertiseIds;
}
