package fr.gouv.beta.selexpert.dto;

import jakarta.validation.constraints.AssertTrue;
import jakarta.validation.constraints.NotNull;
import java.util.List;
import java.util.Optional;
import lombok.Data;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Data
public class ExpertUpdateData {
  @NotNull private Integer expertId;
  @NotNull private UpdatableData field;
  @NotNull private String value;

  @AssertTrue
  private boolean isOpalexeBoolean() {
    return field != UpdatableData.opalexe
        || List.of("true", "false").contains(Optional.ofNullable(value).orElse(""));
  }

  @RequiredArgsConstructor
  @Getter
  public enum UpdatableData {
    phoneMobile(true),
    phoneLandline(true),
    specialty(true),
    geoConstraint(true),
    opalexe(true),
    address(false),
    city(false),
    zipCode(false),
    email(false),
    name(false);
    private final boolean updatableByExpert;
  }
}
