package fr.gouv.beta.selexpert.dto;

import fr.gouv.beta.selexpert.model.File;
import fr.gouv.beta.selexpert.model.FileType;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class FileDto {

  private String fileName;
  private String description;
  private FileType type;

  public static FileDto from(File file) {
    return FileDto.builder()
        .fileName(file.getName())
        .description(file.getDescription())
        .type(file.getType())
        .build();
  }
}
