package fr.gouv.beta.selexpert.dto;

import fr.gouv.beta.selexpert.model.Note;
import fr.gouv.beta.selexpert.model.NoteType;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class NoteDto {
  private Integer id;
  private String content;
  private Integer authorId;
  private String author;
  private LocalDateTime createdOn;
  private NoteType type;
  private List<NoteDto> answers;
  private Integer questionId;

  public static NoteDto from(Note note) {
    return NoteDto.builder()
        .id(note.getId())
        .content(note.getContent())
        .authorId(note.getUser().getId())
        .author(note.getUser().getName())
        .createdOn(note.getCreatedOn())
        .type(note.getType())
        .questionId(note.getType().equals(NoteType.ANSWER) ? note.getQuestionId() : null)
        .build();
  }

  public static NoteDto from(Note question, List<Note> answers) {
    NoteDto questionDto = from(question);
    questionDto.setAnswers(answers.stream().map(NoteDto::from).toList());
    return questionDto;
  }
}
