package fr.gouv.beta.selexpert.dto;

import jakarta.validation.constraints.AssertTrue;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.List;
import java.util.Objects;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class RequestCreation {

  @NotBlank private String procedureId;

  private String extraInfo;

  @NotNull private Boolean urgent;

  private List<Integer> clerkIds;

  @NotEmpty private List<Integer> expertIds;

  private Integer magistrateId;

  private LocalDate deliberationDate;

  private List<String> duplicatedFiles;

  @AssertTrue
  private boolean isDeliberationDateFromTomorrow() {
    var now = LocalDate.now(ZoneId.of("Europe/Paris"));
    return Objects.isNull(deliberationDate) || deliberationDate.isAfter(now);
  }
}
