package fr.gouv.beta.selexpert.model;

import jakarta.persistence.*;
import java.time.LocalDate;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "auth_activity", schema = "public")
@IdClass(AuthActivity.AuthActivityId.class)
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AuthActivity {

  @Id
  @Column(name = "role", nullable = false)
  @Enumerated(EnumType.STRING)
  private Role role;

  @Id
  @Column(name = "day", nullable = false)
  private LocalDate day;

  @Column(name = "count", nullable = false)
  private Integer count;

  @Data
  @NoArgsConstructor
  @AllArgsConstructor
  public static class AuthActivityId {
    private Role role;
    private LocalDate day;
  }
}
