package fr.gouv.beta.selexpert.model;

import jakarta.persistence.*;
import java.time.LocalDateTime;
import java.util.UUID;
import lombok.Data;
import lombok.NoArgsConstructor;

@MappedSuperclass
@Data
@NoArgsConstructor
public abstract class AuthToken {

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  protected Integer id;

  @Column(name = "token", nullable = false)
  protected String token;

  @Column(name = "expiry_date", nullable = false)
  protected LocalDateTime expiryDate;

  public AuthToken(Integer authTokenExpiration) {
    this.token = UUID.randomUUID().toString();
    this.expiryDate = LocalDateTime.now().plusMinutes(authTokenExpiration);
  }
}
