package fr.gouv.beta.selexpert.model;

import jakarta.persistence.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "auth_token_activation", schema = "public")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
public class AuthTokenActivation extends AuthToken {

  @OneToOne
  @JoinColumn(name = "expert_id", nullable = false)
  protected Expert expert;

  public AuthTokenActivation(Expert expert, Integer authTokenExpiration) {
    super(authTokenExpiration);
    this.expert = expert;
  }
}
