package fr.gouv.beta.selexpert.model;

import com.fasterxml.jackson.annotation.JsonIgnore;
import jakarta.persistence.*;
import java.util.ArrayList;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "court_service", schema = "public")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class CourtService {

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  private Integer id;

  @Column(name = "name", nullable = false)
  private String name;

  @Column(name = "rank", nullable = false)
  private Short rank;

  @Column(name = "free_input", nullable = false)
  private boolean freeInput;

  @JsonIgnore @ManyToOne private CourtService parent;

  @OneToMany(mappedBy = "parent", fetch = FetchType.EAGER)
  @OrderBy(value = "rank ASC")
  private List<CourtService> children = new ArrayList<>();
}
