package fr.gouv.beta.selexpert.model;

import jakarta.persistence.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Entity
@Table(name = "expert_expertise", schema = "public")
@Data
@NoArgsConstructor
@EqualsAndHashCode(onlyExplicitlyIncluded = true)
public class ExpertExpertise {

  @EmbeddedId @EqualsAndHashCode.Include private ExpertExpertiseId id;

  @ManyToOne
  @MapsId("expertId")
  @ToString.Exclude
  private Expert expert;

  @ManyToOne
  @MapsId("expertiseId")
  private Expertise expertise;

  @Column(name = "specialty", columnDefinition = "TEXT", length = 1000)
  private String specialty;

  public ExpertExpertise(Expert expert, Expertise expertise, String specialty) {
    this.expert = expert;
    this.expertise = expertise;
    this.specialty = specialty;
    this.id = new ExpertExpertiseId(expert.getId(), expertise.getId());
  }
}
