package fr.gouv.beta.selexpert.model;

import jakarta.persistence.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.hibernate.annotations.ColumnDefault;

@Entity
@Table(name = "expert_expertise_new", schema = "public")
@Data
@NoArgsConstructor
@EqualsAndHashCode(onlyExplicitlyIncluded = true)
public class ExpertExpertiseNew {

  @EmbeddedId @EqualsAndHashCode.Include private ExpertExpertiseId id;

  @ManyToOne
  @MapsId("expertId")
  @ToString.Exclude
  private Expert expert;

  @ManyToOne
  @MapsId("expertiseId")
  private ExpertiseNew expertise;

  @Column(name = "specialty", columnDefinition = "TEXT", length = 1000)
  private String specialty;

  @Column(name = "from_appeal_court", nullable = false)
  @ColumnDefault("true")
  private boolean fromAppealCourt;

  @Column(name = "from_cassation_court", nullable = false)
  @ColumnDefault("false")
  private boolean fromCassationCourt;

  public ExpertExpertiseNew(Expert expert, ExpertiseNew expertise, String specialty) {
    this.expert = expert;
    this.expertise = expertise;
    this.specialty = specialty;
    this.id = new ExpertExpertiseId(expert.getId(), expertise.getId());
  }
}
