package fr.gouv.beta.selexpert.model;

import jakarta.persistence.*;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "expert_expertise_raw", schema = "public")
@Data
@NoArgsConstructor
public class ExpertExpertiseRaw {

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  private Integer id;

  @ManyToOne(optional = false)
  private Expert expert;

  @Column(name = "code")
  private String code;

  @Column(name = "label", columnDefinition = "TEXT", length = 1000)
  private String label;

  @Column(name = "specialty", columnDefinition = "TEXT", length = 1000)
  private String specialty;

  public ExpertExpertiseRaw(Expert expert, String code, String label, String specialty) {
    this.expert = expert;
    this.code = code;
    this.label = label;
    this.specialty = specialty;
  }
}
