package fr.gouv.beta.selexpert.model;

import jakarta.persistence.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.hibernate.envers.Audited;
import org.hibernate.envers.NotAudited;

@Entity
@Table(name = "expert_new_expertise_new", schema = "public")
@Data
@NoArgsConstructor
@EqualsAndHashCode(onlyExplicitlyIncluded = true)
@Audited(withModifiedFlag = true)
public class ExpertNewExpertiseNew {

  @EmbeddedId @EqualsAndHashCode.Include private ExpertExpertiseId id;

  @ManyToOne
  @MapsId("expertId")
  @ToString.Exclude
  private ExpertNew expert;

  @ManyToOne
  @MapsId("expertiseId")
  @NotAudited
  private ExpertiseNew expertise;

  @Column(name = "specialty", columnDefinition = "TEXT", length = 1000)
  private String specialty;

  public ExpertNewExpertiseNew(ExpertNew expert, ExpertiseNew expertise, String specialty) {
    this.expert = expert;
    this.expertise = expertise;
    this.specialty = specialty;
    this.id = new ExpertExpertiseId(expert.getId(), expertise.getId());
  }
}
