package fr.gouv.beta.selexpert.model;

import fr.gouv.beta.selexpert.AppException;
import java.util.Arrays;
import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum ExpertType {
  FEMALE("Madame"),
  MALE("Monsieur"),
  COMPANY("Société"),
  UNKNOWN("");
  private final String label;

  public static ExpertType fromLabel(String label) {
    return Arrays.stream(ExpertType.values())
        .filter(e -> e.label.equals(label))
        .findFirst()
        .orElseThrow(() -> new AppException("expert type is invalid"));
  }
}
