package fr.gouv.beta.selexpert.model;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "file", schema = "public")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class File {

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  private Integer id;

  @ManyToOne(optional = false)
  private Request request;

  @Column(name = "type", nullable = false)
  @Enumerated(EnumType.STRING)
  private FileType type;

  @Column(name = "name", nullable = false)
  private String name;

  @Column(name = "description", columnDefinition = "TEXT", length = 500)
  private String description;

  @Column(name = "ranking")
  private Integer ranking;
}
