package fr.gouv.beta.selexpert.model;

import jakarta.persistence.*;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name = "note", schema = "public")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Note {

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  private Integer id;

  @ManyToOne(optional = false, fetch = FetchType.LAZY)
  private Request request;

  @ManyToOne(optional = false)
  private User user;

  @Column(name = "content", columnDefinition = "TEXT", length = 1000)
  private String content;

  @Column(name = "created_on")
  private LocalDateTime createdOn;

  @Column(name = "type", nullable = false)
  @Enumerated(EnumType.STRING)
  private NoteType type;

  @Column(name = "question_id")
  private Integer questionId;
}
