package fr.gouv.beta.selexpert.model;


import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.OneToOne;
import jakarta.persistence.Table;
import java.time.LocalDate;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.hibernate.envers.Audited;
import org.hibernate.envers.NotAudited;

@Entity
@Table(name = "_user_expert", schema = "public")
@Data
@EqualsAndHashCode(callSuper = true)
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Audited(withModifiedFlag = true)
public class UserExpert extends User {

  @OneToOne @NotAudited private Expert expert;

  //  @OneToOne private ExpertNew expertNew;

  @Column private LocalDate unavailableFrom; // if not null, it acts as unavailable flag
  // for now, it is not settable by the user, but WARNING if this changes
  // TODO in that case, must update the addExperts() method of request creation

  @Column private LocalDate unavailableUntil; // if null, expert is unavailable until further notice

  @Column(columnDefinition = "TEXT", length = 1000)
  private String geoConstraint;

  @Column(name = "opalexe")
  private Boolean opalexe;
}
