package fr.gouv.beta.selexpert.model;

import static org.hibernate.envers.RelationTargetAuditMode.NOT_AUDITED;

import jakarta.persistence.CascadeType;
import jakarta.persistence.Entity;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.OneToOne;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.hibernate.envers.Audited;

@Entity
@Table(name = "_user_magistrate", schema = "public")
@Data
@EqualsAndHashCode(callSuper = true)
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Audited(withModifiedFlag = true)
public class UserMagistrate extends User {

  @ManyToOne(optional = false)
  @Audited(targetAuditMode = NOT_AUDITED)
  private Jurisdiction jurisdiction;

  @OneToOne(mappedBy = "courtUser", cascade = CascadeType.ALL, orphanRemoval = true)
  @Audited(targetAuditMode = NOT_AUDITED)
  private CourtUserCourtService service;
}
