package fr.gouv.beta.selexpert.repository;

import fr.gouv.beta.selexpert.model.AuthTokenActivation;
import fr.gouv.beta.selexpert.model.Expert;
import java.time.LocalDateTime;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;

public interface AuthTokenActivationRepository extends JpaRepository<AuthTokenActivation, Integer> {
  Optional<AuthTokenActivation> findByToken(String token);

  Optional<AuthTokenActivation> findByExpert(Expert expert);

  void deleteByExpiryDateBefore(LocalDateTime dateTime);
}
