package fr.gouv.beta.selexpert.repository;

import fr.gouv.beta.selexpert.model.Expert;
import java.util.List;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

public interface ExpertRepository
    extends JpaRepository<Expert, Integer>, JpaSpecificationExecutor<Expert> {

  Optional<Expert> findByEmail(String email);

  List<Expert> findByAppealCourtIdAndExpertNewIsNullOrderById(Integer appealCourtId);

  List<Expert> findByAppealCourtIdAndExpertNewIsNotNull(Integer appealCourtId);

  List<Expert> findByAppealCourtIdAndEmailIsNotNull(Integer appealCourtId);

  List<Expert> findByAppealCourtCode(String code);
}
