package fr.gouv.beta.selexpert.repository;

import fr.gouv.beta.selexpert.model.Expert;
import fr.gouv.beta.selexpert.model.Request;
import fr.gouv.beta.selexpert.model.RequestExpert;
import fr.gouv.beta.selexpert.model.RequestExpertId;
import fr.gouv.beta.selexpert.model.RequestExpertStatus;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;

public interface RequestExpertRepository extends JpaRepository<RequestExpert, RequestExpertId> {

  List<RequestExpert> findByRequestAndStatus(Request request, RequestExpertStatus status);

  int countByExpertAndStatus(Expert expert, RequestExpertStatus status);

  List<RequestExpert> findByStatusIn(RequestExpertStatus... status);
}
