package fr.gouv.beta.selexpert.security;

import java.lang.annotation.*;
import org.springframework.security.core.annotation.AuthenticationPrincipal;

@Target({ElementType.PARAMETER, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@AuthenticationPrincipal(
    expression =
        "#this instanceof T(org.springframework.security.oauth2.jwt.Jwt) ? "
            + "@userRepository.findById(T(java.lang.Integer).valueOf(#this.claims.get('sub'))).orElse(null)"
            + " : null")
public @interface UserFromJwt {}
// if no Jwt token received then @AuthenticationPrincipal is "anonymousUser"
// otherwise @AuthenticationPrincipal is of type org.springframework.security.oauth2.jwt.Jwt

// https://stackoverflow.com/questions/60727265/use-authenticationprincipal-with-jwtauthenticationtoken-to-use-own-user-class
