package fr.gouv.beta.selexpert.util;

import static org.junit.jupiter.api.Assertions.*;

import java.time.LocalDateTime;
import org.junit.jupiter.api.Test;

class DateUtilsTest {

  @Test
  public void getDeadline() {

    /*
    UTC time: 10/04/2023 22:12
    FR SUMMER time: 11/04/2023 00:12
     */

    LocalDateTime currentDateTime = LocalDateTime.of(2023, 4, 10, 22, 12); // tuesday 11-04
    assertEquals(
        "2023-04-13T23:59:59.999999999", DateUtils.getDeadline(currentDateTime, 2).toString());

    currentDateTime = currentDateTime.plusDays(1); // wednesday 12-04
    assertEquals(
        "2023-04-14T23:59:59.999999999", DateUtils.getDeadline(currentDateTime, 2).toString());

    currentDateTime = currentDateTime.plusDays(1); // thrusday 13-04
    assertEquals(
        "2023-04-17T23:59:59.999999999", DateUtils.getDeadline(currentDateTime, 2).toString());

    currentDateTime = currentDateTime.plusDays(1); // friday 14-04
    assertEquals(
        "2023-04-18T23:59:59.999999999", DateUtils.getDeadline(currentDateTime, 2).toString());

    currentDateTime = currentDateTime.plusDays(1); // saturday 15-04
    assertEquals(
        "2023-04-18T23:59:59.999999999", DateUtils.getDeadline(currentDateTime, 2).toString());

    currentDateTime = currentDateTime.plusDays(1); // sunday 16-04
    assertEquals(
        "2023-04-18T23:59:59.999999999", DateUtils.getDeadline(currentDateTime, 2).toString());
  }
}
